Bug 1126986 - Repo Discovery page, repo validations look ugly
Summary: Repo Discovery page, repo validations look ugly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 19:03 UTC by Partha Aji
Modified: 2017-01-04 20:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-04 20:22:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6943 None None None 2016-04-22 14:55:16 UTC

Description Partha Aji 2014-08-05 19:03:07 UTC
1) Goto Content->Products
2) Select Repo Discovery
3) paste https://fedorapeople.org/groups/katello/releases/yum/nightly/ as repo to discover
4) Select a couple of repos
5) Create Selected
6) In the create product page, use an existing product but clear the name of repo and hit submit.
Notice you get an error that looks like
{"name":["can't be blank","cannot be blank"]}
Instead  of a nicer "Name cannot be blank" form message.

Comment 1 Partha Aji 2014-08-05 19:03:08 UTC
Created from redmine issue http://projects.theforeman.org/issues/6943

Comment 3 Bryan Kearney 2015-08-25 17:59:59 UTC
Upstream bug component is WebUI

Comment 4 Bryan Kearney 2016-07-08 20:42:54 UTC
Per 6.3 planning, moving out non acked bugs to the backlog

Comment 6 Bryan Kearney 2017-01-04 20:22:30 UTC
This is an older bug, which is being tracked upstream. We will not be tracking this downstream. When the upstream issue is resolved, the next rebase will pull in the fix.


Note You need to log in before you can comment on or make changes to this bug.